@keyframes color-change {
    from {color: black;}
    to {color: white;}
}

@media screen and (max-width: 600px) {
    * {
        font-size: 90%;
    }
} 

* {
    font-family: 'Alfa Slab One', serif;
    box-sizing: border-box;
}

body {
    margin: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: grey;
}

main {
    width: 100vh;
    height: 100vh;
    background-color: lightgray;
    text-align: center;
    border: 0.5vmin solid black;
    padding-left: 10vmin;
    padding-right: 10vmin;
    border-radius: 4vmin;
    box-shadow: 4px 4px 20px #000000;
}

h1 {
    margin-top: 4vmin;
    margin-bottom: 1vmin;
    font-size: 2.5em;
    color: white;
    text-shadow: 4px 4px 20px #000000;

}

.animation {
    animation-name: color-change;
    animation-duration: 4s;
}


h2 {
    margin: 1vmin;
    height: 40px;
}

img {
    height: 48vmin;
    width: 50vmin;
}

#status {
    margin: auto;
    text-shadow: 4px 4px 20px #000000;
}

#gboard {
    margin-top: 1vmin;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50vmin;
    border: 0.5vmin solid black;
    line-height: 0%;
    background-color: white;
    border-radius: 4vmin;
    box-shadow: 4px 4px 20px #000000;
}

#sword {
    border: 0.5vmin solid black;
}

#guesses {
    border: 0.5vmin solid black;
    background-color: white;
    border-radius: 4vmin;
    box-shadow: 4px 4px 20px #000000;
}

#form-db-choice {
    padding-top: 6vmin;
}

input {
    justify-self: center;
    width: 10vmin;
    background-color: white;
    color: black;
    border: 0.5vmin solid black;
    border-radius: 4vmin;
    outline: none;
    text-align: center;
    /* font-weight: bold; */
    text-transform: uppercase;
}

button {
    justify-self: center;
    width: 15vmin;
    background-color: white;
    color: black;
    border: 0.5vmin solid black;
    border-radius: 4vmin;
    outline: none;
    font-size: 0.8em;
}

button:hover {
    color: green;
    border: 0.5vmin double green;
    color: green;
    background: #fff;

}